%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Image_Graph

Name:           php-pear-Image-Graph
Summary:        Displays numerical data as a graph/chart/plot
Version:        0.8.0
Release:        5%{?dist}
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

Group:          Development/Languages
License:        LGPLv2+
URL:            http://pear.php.net/package/Image_Graph

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2

Requires:       php-pear(PEAR)
Requires:       php-pear(Image_Canvas) >= 0.3.0
Requires:       php-pear(Numbers_Roman)
Requires:       php-pear(Numbers_Words)
Requires(post): %{__pear}
Requires(postun): %{__pear}
# Test Requires: gnu-free-sans-fonts

Provides:       php-pear(%{pear_name}) = %{version}
Provides:       php-pear-Image-Graph-roman = %{version}-%{release}
Provides:       php-pear-Image-Graph-words = %{version}-%{release}
Obsoletes:      php-pear-Image-Graph-roman < %{version}-%{release}
Obsoletes:      php-pear-Image-Graph-words < %{version}-%{release}

%description
Image_Graph provides a set of classes that creates graphs/plots/charts based on
(numerical) data.

Many different plot types are supported: Bar, line, area, step, impulse,
scatter, radar, pie, map, candlestick, band, box & whisker and smoothed line,
area and radar plots.

The graph is highly customizable, making it possible to get the exact look and
feel that is required.

The output is controlled by a Image_Canvas, which facilitates easy output to
many different output formats, amongst others, GD (PNG, JPEG, GIF, WBMP),
PDF (using PDFLib), Scalable Vector Graphics (SVG).


%prep
%setup -qc

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
%{__rm} -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up files
for file in $(find $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name} -type f -name '*.php') ; do
    iconv -f iso8859-1 -t utf-8 $file | sed -e 's/\r//' > ../convtmp
    mv ../convtmp $file
done

# Fix font
find $RPM_BUILD_ROOT%{pear_testdir}/%{pear_name}/tests \
    -type f -name '*.php' \
    -exec %{__sed} -i -e "s@'Verdana'@'/usr/share/fonts/gnu-free/FreeSans.ttf'@" {} \;

%{__sed} -i -e 's@c:/windows/fonts/Arial.ttf@/usr/share/fonts/gnu-free/FreeSans.ttf@' \
    $RPM_BUILD_ROOT%{pear_testdir}/%{pear_name}/tests/freetype.php


# Clean up unnecessary files
%{__rm} -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
%{__install} -d $RPM_BUILD_ROOT%{pear_xmldir}
%{__install} -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%check
# The tests provided are not unit or regression tests.
# yum install gnu-free-sans-fonts
# cp -r /usr/share/pear/test/Image_Graph/tests /var/www/html/Image_Graph
# use your browser on http://localhost/Image_Graph


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/Image/Graph*
%exclude %{pear_datadir}/%{pear_name} 


%changelog
* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 0.8.0-5
- rebuilt for new pear_testdir

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Apr 17 2011 Remi Collet <Fedora@FamilleCollet.com> 0.8.0-2
- doc in /usr/share/doc/pear

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 07 2010 Remi Collet <fedora@famillecollet.com> - 0.8.0-1
- upstream Version 0.8.0 (alpha) - API 0.8.0 (alpha)
  but most changes already in previous SVN snapshot
- set timezone during build
- use FreeSans.ttf in tests provided

* Sun Aug 15 2010 Remi Collet <fedora@famillecollet.com> - 0.7.3-0.1.svn291756
- update to SVN snapshot to fix PHP 5.3 issues (#547738)
- rename Image_Graph.xml to php-pear-Image-Graph.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Christopher Stone <chris.stone@gmail.com> 0.7.2-4
- Merge subpackages
- Convert example files to UTF-8

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.7.2-3
- fix license tag

* Tue Mar 13 2007 Christopher Stone <chris.stone@gmail.com> 0.7.2-2
- Make subpackages for optional pear packages

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 0.7.2-1
- Initial Fedora release
